<?php

namespace Controller;

use Traits\TResponse;
use Service\Label as ServiceLabel;
use Service\TaskTracking as TaskTrackingLabel;
use Zeedhi\Framework\DTO;

class Label {
    use TResponse;

    private $labelService;
    private $taskTrackingService;

    public function __construct(ServiceLabel $labelService, TaskTrackingLabel $taskTrackingService)
    {
        $this->labelService = $labelService;
        $this->taskTrackingService = $taskTrackingService;
    }

    public function findLabelFromLikeProjectNameTaskTracking(DTO\Request $request, DTO\Response $response){
        try {
            $dataSet = $this->labelService->findLabelFromLikeProjectNameTaskTracking();
            $this->sendResponse($dataSet, 200);
        } catch (\Exception $ex) {
            $this->sendResponse(['error' => $ex->getMessage(), 'code' => $ex->getCode()], 500);
        }
    }

    public function findByBoardTaskTracking(DTO\Request $request, DTO\Response $response){
        try {
            $dataSet = $this->taskTrackingService->findLabelsByProjectTaskTracking();
            $this->sendResponse($dataSet, 200);
        } catch (\Exception $ex) {
            $this->sendResponse(['error' => $ex->getMessage(), 'code' => $ex->getCode()], 500);
        }
    }
}