<?php

namespace Factory;

use Util\InstanceProvider;
use Zeedhi\DevOps\Model\Projectmanagement\Entities;

class Organization{

    private $entityManager;

    public function __construct(){
        $this->entityManager  = InstanceProvider::getEntityManager();
    }

    public function updateOrganization($organization, $name, $foundation, $status, $document, $description, $resource = null) {
        $organization->setName($name);
        if(!($foundation instanceOf \DateTime)){
            $foundation = \DateTime::createFromFormat("Y-m-d", $foundation);
        }
        $organization->setFoundation($foundation);
        $organization->setStatus($status);
        $organization->setDocument($document);
        $organization->setDescription($description);
        if(!empty($resource)){
            $organization->setCreatedBy($resource);
        }
        return $organization;
    }

}
