<?php

namespace Repository;

use Doctrine\ORM\EntityManager;
use Util\InstanceProvider;
use Teknisa\Model\Traits\TQuery;

class CommentType
{
    use TQuery;
    /**
     * @var EntityManager
     */
    private $entityManager;

    /**
     * TaskTracking constructor.
     * @param EntityManager $entityManager
     */
    public function __construct(EntityManager $entityManager)
    {
        $this->entityManager = $entityManager;
    }

    public function findCommentType($organizationId, $conditions = '')
    {
        $query = <<<SQL
        SELECT * FROM COMMENT_TYPE
        WHERE STATUS = 'A'
        $conditions
SQL;

        $params = array(
            'organizationId' => $organizationId
        );

        return $this->createAndExecuteQueryAndBuildResponseData(InstanceProvider::getEntityManager(), $query, $params);
    }

    public function findCommentTypeIssueStatus($orgId){

        $query = <<<SQL
           SELECT ORGANIZATION_ID ,
                  ID ,
                  STATUS ,
                  NAME ,
                  CONTROL ,
                  ATTACHMENT_REQUIRED
           FROM COMMENT_TYPE
          WHERE ORGANIZATION_ID = :ORG_ID
       ORDER BY NAME
SQL;

        $params = array(
            'ORG_ID' => $orgId
        );

        return $this->createAndExecuteQueryAndBuildResponseData(InstanceProvider::getEntityManager(), $query, $params);
    }
}
