<?php


namespace Service;

use Util\InstanceProvider;
use Doctrine\ORM\EntityManager;

class ProjectType
{
    private $entityManager;

    public function __construct(EntityManager $entityManager)
    {
        $this->entityManager = $entityManager;
    }

    public function createTaskTypeProjectType($projectType, $taskType)
    {
        $taskTypeProjectTypeRepository = InstanceProvider::getRepository()->getTaskTypeProjectType();
        $taskTypeProjectTypeFactory = InstanceProvider::getFactory()->getTaskTypeProjectType();
        $taskTypeProjectType = $taskTypeProjectTypeRepository->findOneBy(
            array('projectType' => $projectType, 'taskType'=>$taskType));
        if(!$taskTypeProjectType){
            $taskTypeProjectType  = $taskTypeProjectTypeFactory->createTaskTypeProjectType($taskType,$projectType);
            $this->entityManager->persist($taskTypeProjectType);
        }
        return $taskTypeProjectType;
    }
}
